## org.eclipse.uml2.uml
Enum VisibilityKind

    java.lang.Object
      java.lang.Enum<VisibilityKind>
          org.eclipse.uml2.uml.VisibilityKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<VisibilityKind>, org.eclipse.emf.common.util.Enumerator

    public enum VisibilityKind

extends java.lang.Enum<VisibilityKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Visibility Kind', and utility methods for working with them. VisibilityKind is an enumeration type that defines literals to determine the visibility of elements in a model.

See Also:
  `UMLPackage.getVisibilityKind()`

Enum Constant Summary
`PACKAGE_LITERAL` The 'Package' literal object
`PRIVATE_LITERAL` The 'Private' literal object
`PROTECTED_LITERAL` The 'Protected' literal object
`PUBLIC_LITERAL` The 'Public' literal object

Field Summary
`static int` `PACKAGE` The 'Package' literal value
`static int` `PRIVATE` The 'Private' literal value
`static int` `PROTECTED` The 'Protected' literal value
`static int` `PUBLIC` The 'Public' literal value
`static java.util.List<VisibilityKind>` `VALUES` A public read-only list of all the 'Visibility Kind' enumerators

Method Summary
`static VisibilityKind` `get(int value)` Returns the 'Visibility Kind' literal with the specified integer value
`static VisibilityKind` `get(java.lang.String literal)` Returns the 'Visibility Kind' literal with the specified literal value
`static VisibilityKind` `getByName(java.lang.String name)` Returns the 'Visibility Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static VisibilityKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static VisibilityKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC_LITERAL

    public static final VisibilityKind PUBLIC_LITERAL

  The 'Public' literal object.

  See Also:
    `PUBLIC`

### PRIVATE_LITERAL

    public static final VisibilityKind PRIVATE_LITERAL

  The 'Private' literal object.

  See Also:
    `PRIVATE`

### PROTECTED_LITERAL

    public static final VisibilityKind PROTECTED_LITERAL

  The 'Protected' literal object.

  See Also:
    `PROTECTED`

### PACKAGE_LITERAL

    public static final VisibilityKind PACKAGE_LITERAL

  The 'Package' literal object.

  See Also:
    `PACKAGE`

Field Detail

### PUBLIC

    public static final int PUBLIC

  The 'Public' literal value. A public element is visible to all elements that can access the contents of the namespace that owns it.

  See Also:
    `PUBLIC_LITERAL`, Constant Field Values

### PRIVATE

    public static final int PRIVATE

  The 'Private' literal value. A private element is only visible inside the namespace that owns it.

  See Also:
    `PRIVATE_LITERAL`, Constant Field Values

### PROTECTED

    public static final int PROTECTED

  The 'Protected' literal value. A protected element is visible to elements that have a generalization relationship to the namespace that owns it.

  See Also:
    `PROTECTED_LITERAL`, Constant Field Values

### PACKAGE

    public static final int PACKAGE

  The 'Package' literal value. A package element is owned by a namespace that is not a package, and is visible to elements that are in the same package as its owning namespace. Only named elements that are not owned by packages can be marked as having package visibility. Any element marked as having package visibility is visible to all elements within the nearest enclosing package (given that other owning elements have proper visibility). Outside the nearest enclosing package, an element marked as having package visibility is not visible.

  See Also:
    `PACKAGE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<VisibilityKind> VALUES

  A public read-only list of all the 'Visibility Kind' enumerators.

Method Detail

### values

    public static final VisibilityKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(VisibilityKind c : VisibilityKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static VisibilityKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static VisibilityKind get(java.lang.String literal)

  Returns the 'Visibility Kind' literal with the specified literal value.

### getByName

    public static VisibilityKind getByName(java.lang.String name)

  Returns the 'Visibility Kind' literal with the specified name.

### get

    public static VisibilityKind get(int value)

  Returns the 'Visibility Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<VisibilityKind>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.